E2UNDO(8)

NOM
e2undo - Replay an undo log for an ext2/ext3/ext4 file system

SYNOPSIS
e2undo [ -f ] [ -h ] [ -n ] [ -o position ] [ -v ] [ -z fichier_annulations ] journal_annulations périphérique

DESCRIPTION
e2undo will replay the undo log undo_log for an ext2/ext3/ext4 file system found on device. This can be used to undo a failed operation by an e2fsprogs program.

OPTIONS

-f  Normally, e2undo will check the file system superblock to make sure the undo log matches with the file system on the device. If they do not match, e2undo will refuse to apply the undo log as a safety mechanism. The -f option disables this safety mechanism.

-h  Afficher une aide sur l'utilisation.

-n  Dry-run; do not actually write blocks back to the file system.

-o position
    Specify the file system's offset (in bytes) from the beginning of the device or file.

-v  Rapporter quel bloc est en cours de révision.

-z fichier_annulations
    Avant d’écraser un bloc de système de fichiers, écrire le contenu du bloc dans un fichier d’annulations. Ce fichier peut être utilisé par e2undo(8) pour restaurer l’ancien contenu du système de fichiers si quelque chose se passe mal. Si une chaîne vide est passée comme argument du fichier d’annulations, le fichier d’annulations sera écrit dans un fichier appelé « e2undo-périphérique.e2undo » dans le répertoire précisé à l’aide de la variable d’environnement E2FSPROGS_UNDO_DIR.

    AVERTISSEMENT : le fichier d’annulations ne peut pas être utilisé pour se remettre d'une coupure d'alimentation ou d'un plantage du système.

AUTEUR
e2undo a été écrit par Aneesh Kumar K.V. (aneesh.kumar@linux.vnet.ibm.com)

DISPONIBILITÉ
e2undo fait partie du paquet e2fsprogs qui est disponible sur http://e2fsprogs.sourceforge.net.

VOIR AUSSI
mke2fs(8), tune2fs(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Gérard Delafond <gerard@delafond.org>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Sébastien Blanchet, Emmanuel Araman <Emmanuel@araman.org>, Éric Piel <eric.piel@tremplin-utc.net>, Nicolas François <nicolas.francois@centraliens.net>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Cédric Boutillier <cedric.boutillier@gmail.com> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.